> ## Documentation Index
> Fetch the complete documentation index at: https://dom-6a1f70d6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Mettre A Jour Statut



## OpenAPI

````yaml openapi.json put /livraisons/statut/{livraison_id}
openapi: 3.0.3
info:
  title: DELIVERY API
  description: API pour la plateforme fournissant une api de gestion de livraison
  version: 1.0.0
servers: []
security: []
paths:
  /livraisons/statut/{livraison_id}:
    put:
      tags:
        - Livraisons
        - Livraisons
      summary: Mettre A Jour Statut
      operationId: mettre_a_jour_statut_livraisons_statut__livraison_id__put
      parameters:
        - name: livraison_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Livraison Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LivraisonStatutUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    LivraisonStatutUpdate:
      properties:
        nouveau_statut:
          $ref: '#/components/schemas/StatutLivraison'
      type: object
      required:
        - nouveau_statut
      title: LivraisonStatutUpdate
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    StatutLivraison:
      type: string
      enum:
        - en_attente
        - acceptee
        - en_cours
        - terminee
        - annulee
      title: StatutLivraison
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.